#  extraire calendar avec
# exportdefcal -HOST hermes -USERNAME ecsuser -PASSWORD password -ARG_FILE ExportCalendar.xml -OUT_FILE CalendarCCMSA.txt
#
#  voir fichier en entree pour extraire les calendriers desires et le DATACENTER cibl
# <?xml version="1.0" encoding="UTF-8"?>
# <!DOCTYPE TERMS SYSTEM "terms.dtd">
# <TERMS>
#       <TERM>
#               <PARAM NAME="DATACENTER" OP="EQ" VALUE="CCMSA"/>
#               <PARAM NAME="CALENDAR" OP="LIKE" VALUE="ALL*"/>
#       </TERM>
# </TERMS>
#

set -a
. ./ParmCreateNYCalendarNAT.txt

#--------- Parametre DATACENTER
HOST=HOST
USERNAME=USERNAME
PASSWORD=PASSWORD

FicIn=./ExportCalendarNAT.xml
FicOut=./Calendar_NAT_${DATACENTER}.xml

   if test ! -f $1
    then
        echo " fichier $1 en entree inconnu "
        exit 9
   fi

cat << @EOFF > ./ExportCalendar.xml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE TERMS SYSTEM "terms.dtd">
<TERMS>
        <TERM>
                <PARAM NAME="DATACENTER" OP="EQ" VALUE="${DATACENTER}"/>
                <PARAM NAME="CALENDAR" OP="LIKE" VALUE="*" />
        </TERM>
</TERMS>
@EOFF

   echo " Fichier en entree contient : \n"
   cat ${FicIn}
   echo "\n =====================> On y va [O/N] : \c" ; read ask
   case $ask in
     O|o) 
         exportdefcal -HOST ${HOST} -USERNAME ${USERNAME} -PASSWORD ${PASSWORD} -ARG_FILE ${FicIn} -OUT_FILE ${FicOut}
               ;;
      *)  exit ;;
   esac

